=== debian/changelog ===
plinth (20.3) unstable; urgency=medium

  [ Sunil Mohan Adapa ]
  * web_framework: Separate out Django settings into module
  * doc/dev: Allow all modules to be imported by Sphinx
  * notification: Add developer documentation
  * doc/dev: Update copyright year
  * app: Update style for toggle button
  * app: Drop border shadow for app icon in mobile view
  * app: cosmetic: Minor refactoring of header styling
  * app: Simplify some header styling
  * app: cosmetic: Rename a CSS style class in app header
  * app: cosmetic: Rename header.html to app-header.html
  * app: Show short description as secondary title
  * networks: Fix i18n for wizard forms
  * networks: Minor changes to router/internet configuration forms
  * web_framework: Generate and retain a secret key
  * web_framework: Cleanup expired sessions every week

  [ Nektarios Katakis ]
  * networks: Add form for internet connection type
  * networks: Add network view and url for internet connection help page
  * networks: Link internet connection help page with networks page.
  * networks: All first step wizard form for internet connection type
  * networks: Add first boot step for internet connection type
  * networks: Save to kvstore internet connectivity type
  * networks: Refactor connections list template
  * networks: Show internet connectivity string in main page

  [ Michael Breidenbach ]
  * Translated using Weblate (German)
  * Translated using Weblate (Swedish)

  [ Dietmar ]
  * Translated using Weblate (Italian)

  [ Jaime Marquínez Ferrándiz ]
  * Translated using Weblate (Spanish)

  [ Luis A. Arizmendi ]
  * Translated using Weblate (Spanish)

  [ Joseph Nuthalapati ]
  * shadowsocks: Fix shadowsocks not able to start

  [ James Valleroy ]
  * locale: Update translation strings
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 24 Feb 2020 20:16:12 -0500

plinth (20.2.1) unstable; urgency=high

  [ Veiko Aasa ]
  * apps: remove css filters and glow from app icons
  * config: Depends also on apache module

  [ Dietmar ]
  * Translated using Weblate (German)
  * Translated using Weblate (Italian)
  * Translated using Weblate (Italian)

  [ Petter Reinholdtsen ]
  * Translated using Weblate (Norwegian Bokmål)

  [ Sunil Mohan Adapa ]
  * cards: Remove the transition delay on hover effect
  * system: Implement new style for cards
  * jsxc: Bypass issue with stronghold to get the app working again
  * jsxc: Fix functional test case failure
  * functional_tests: cosmetic: Minor yapf change
  * app: Introduce Info component to store basic app information
  * app: Add info property as shortcut to access basic information
  * app: Refactor all apps to use the Info component
  * app: Document the app_id property for App class
  * doc/dev: Include information on how to edit dev documentation
  * views: Document the AppView class properties
  * monkeysphere: Fix regression with reading Apache configuration
  * Translated using Weblate (Italian)
  * firewall: Use firewalld DBus API for most operations
  * *.py: Use SPDX license identifier
  * *.html: Use SPDX license identifier
  * actions/*: Use SPDX license identifier
  * functional_tests: Use SPDX license identifier
  * *.css: Use SPDX license identifier
  * *: Update misc build related files to use SPDX license identifier
  * doc/dev: Update tutorial to use SPDX license indentifier
  * *: Update remaining misc files to use SPDX license identifier
  * *.js: Use SPDX license identifier
  * help: Fix attribute on download manual button
  * css: Add missing license identifier on some CSS files
  * firewalld: Ignore errors with DBus API when firewalld is not running
  * deluge: Don't use code execution for editing configuration
  * deluge: More reliable initial configuration setup

  [ Joseph Nuthalapati ]
  * l10n: Fix gettext not detecting no-python-format
  * samba: Add link to manual page
  * searx: Update search engines for 0.16.0

  [ Allan Nordhøy ]
  * openvpn: Fix spelling for Tunnelblick
  * Translated using Weblate (Norwegian Bokmål)

  [ Nektarios Katakis ]
  * bind: parse zones files
  * bind: test for parsing zones file with specific format
  * bind: views show served domains in main view
  * bind: create zones directory on setup action

  [ James Valleroy ]
  * bind: Bump version and handle upgrade

  [ Ralf Barkow ]
  * Translated using Weblate (German)

  [ nautilusx ]
  * Translated using Weblate (German)

  [ Doma Gergő ]
  * Translated using Weblate (Hungarian)

  [ Lev Lamberov ]
  * debian: Update Russian translation for debconf (Closes: #951440)

  [ Radek Pasiok ]
  * Translated using Weblate (Polish)

  [ Alice Kile ]
  * gitignore: Add .vscode & segregate editor settings

  [ Thomas Vincent ]
  * Translated using Weblate (French)

 -- James Valleroy <jvalleroy@mailbox.org>  Fri, 21 Feb 2020 22:38:12 -0500
