=== debian/changelog ===
plinth (20.12.1) unstable; urgency=high

  [ nautilusx ]
  * Translated using Weblate (German)

  [ Robert Pollak ]
  * Translated using Weblate (German)

  [ J. Lavoie ]
  * Translated using Weblate (French)

  [ Petter Reinholdtsen ]
  * Translated using Weblate (Norwegian Bokmål)

  [ Sunil Mohan Adapa ]
  * cfg, frontpage: Ignore errors while reading config and shortcuts

  [ Milo Ivir ]
  * Translated using Weblate (German)

 -- James Valleroy <jvalleroy@mailbox.org>  Sun, 05 Jul 2020 15:40:30 -0400

plinth (20.12) unstable; urgency=medium

  [ Oğuz Ersen ]
  * Translated using Weblate (Turkish)

  [ Sunil Mohan Adapa ]
  * Translated using Weblate (Telugu)
  * transmission: tests: functional: Fix to wait properly
  * ttrss: tests: functional: Fix to wait properly
  * tor: tests: functional: Fix to wait properly on progress page
  * users: tests: functional: Leave no-language as final setting
  * mldonkey: tests: functional: Wait for frame to load properly
  * snapshot: tests: functional: Delete all snapshots properly
  * ejabberd: tests: functional: Fixes for no implicit waiting
  * syncthing: tests: functional: Fix to wait properly
  * tests: functional: Remove implicit and explicit wait times
  * tests: functional: Allow parallel installation of apps
  * d/control: Add python3-systemd as a dependency
  * apache: Add ssl-cert package as dependency
  * storage: Use DBus directly for listing disks
  * storage: Fix regression with showing error messages
  * storage: Use UDisks information as primary source
  * storage: Don't show empty progress bar for disks not mounted
  * storage: Remove rule to not automount system disks with no paritions
  * storage: Don't auto-mount loopback devices except in develop mode
  * storage: Allow ejecting any device not in fstab or crypttab
  * storage: Ignore eject failures if filesystems unmounted properly
  * backups: Remove an unnecessary print() statement
  * Translated using Weblate (Telugu)
  * container: Remove sqlite3 file early enough
  * storage: Don't log exception of disk space check fails
  * storage: Use mount info instead of disk info for free space warning
  * notifications: Fix issue with redirection on dismiss
  * views: Drop use of private Django utility
  * cfg: Don't fallback to develop config if main is not found
  * cfg: Drop the default configuration file
  * frontpage: Read custom shortcuts from multiple locations
  * frontpage: Drop empty custom shortcut files
  * cfg: Allow loading multiple configuration files
  * cfg: For develop mode, overlay on top of regular configuration
  * context_processor: tests: Use already available config fixture
  * cfg: Eliminate the need for 'root' directory in configuration
  * cfg: Move /plinth.config to plinth/develop.config
  * cfg: Rename configuration file to freedombox.config
  * d/tests/control: Rename Plinth to FreedomBox in a comment
  * cfg: Read configuration from .d files and multiple locations
  * frontpage: Load shortcuts from .d directories too
  * frontpage: Read from .d files too
  * cfg: Remove redundant data in develop.config
  * cfg: Remove comments in test data
  * cfg: In develop mode, use /var/lib for DB and sessions
  * web_framework: Split initialization into two parts
  * web_framework: Don't create Django secret key when listing depends
  * log: Allow setting the default log level before log configuration
  * main: List dependencies without writing to disk
  * d/rules: vagrant: INSTALL.md: Fix installing dependencies
  * *: Drop files paths in data/var
  * doc: Update manual page with configuration file changes
  * network: test: Fix race condition when deleting connections
  * storage: tests: Ignore cases needing loop devices when not available
  * actions: tests: Fix test failures due order of fixtures
  * tests: Use develop configuration for most tests
  * templates: Disable button and show spinner on submit for all forms
  * backups: Remove custom handling of progress on the restore button
  * js: Simplify auto-refresh page logic
  * jsxc: Remove inline javascript
  * apache: Set CSP and other common security headers
  * apache: Relax CSP to allow web workers for JSXC
  * locale: Update translation strings

  [ ferhad.necef ]
  * Translated using Weblate (Russian)

  [ Thomas Vincent ]
  * Translated using Weblate (French)

  [ Joseph Nuthalapati ]
  * Translated using Weblate (Telugu)

  [ wind ]
  * Translated using Weblate (Russian)

  [ James Valleroy ]
  * upgrades: Combine into single page with manual update
  * upgrades: Skip enable-auto in develop mode
  * debian: Add nscd >= 2 as dependency
  * upgrades: Append unattended-upgrades-dpkg.log for more detail
  * storage: Handle multi-line text in functional test
  * apt: Run `apt-get -f install` before other commands
  * apt: Run `dpkg --configure -a` before other actions
  * upgrades: Skip enabling backports on testing and unstable
  * networks: Remove firewall zone warning
  * networks: Correct wording of internet connection form

  [ Veiko Aasa ]
  * functional-tests: Handle connection error when web server restarts
  * functional-tests: Skip tests if app is not available in distribution
  * functional-tests: Fix page not fully loaded errors when taking backups
  * functional-tests: Remove unnecessary wait when navigating to module

  [ Michael Breidenbach ]
  * Translated using Weblate (German)
  * Translated using Weblate (Swedish)

  [ Fioddor Superconcentrado ]
  * Translated using Weblate (Spanish)

  [ Pavel Borecki ]
  * Translated using Weblate (Czech)

  [ Éfrit ]
  * Translated using Weblate (French)

  [ Jens Molgaard ]
  * Translated using Weblate (Danish)

 -- Sunil Mohan Adapa <sunil@medhas.org>  Mon, 29 Jun 2020 16:39:33 -0700

plinth (20.11) unstable; urgency=medium

  [ Thomas Vincent ]
  * Translated using Weblate (French)

  [ Petter Reinholdtsen ]
  * Translated using Weblate (Norwegian Bokmål)

  [ Michael Breidenbach ]
  * Translated using Weblate (German)

