=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  Federico Ceratto <federico@debian.org>,
  James Valleroy <jvalleroy@mailbox.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dblatex,
  dh-python,
  docbook-xsl,
@@ -46,9 +46,9 @@
  xmlto,
  xsltproc
 Standards-Version: 4.5.0
-Homepage: https://salsa.debian.org/freedombox-team/plinth
-Vcs-Git: https://salsa.debian.org/freedombox-team/plinth.git
-Vcs-Browser: https://salsa.debian.org/freedombox-team/plinth
+Homepage: https://salsa.debian.org/freedombox-team/freedombox
+Vcs-Git: https://salsa.debian.org/freedombox-team/freedombox.git
+Vcs-Browser: https://salsa.debian.org/freedombox-team/freedombox
 Rules-Requires-Root: no
 
 Package: freedombox
@@ -85,7 +85,8 @@
  lsof,
  netcat-openbsd,
  network-manager,
- node-turbolinks,
+# Ensure that nscd is installed rather than unscd.
+ nscd (>= 2),
  ppp,
  pppoe,
  python3-apt,
@@ -105,6 +106,7 @@
  python3-psutil,
  python3-requests,
  python3-ruamel.yaml,
+ python3-systemd,
  python3-yaml,
  sudo,
  wget,
@@ -119,6 +121,11 @@
  dosfstools,
 # Priority: standard
  file,
+# Wifi firmware
+ firmware-ath9k-htc,
+# FreedomBox documentation
+ freedombox-doc-en,
+ freedombox-doc-es,
 # Provide entropy using HAVEGE algorithm
  haveged,
 # Monitor system resources
@@ -151,8 +158,6 @@
  powermgmt-base,
 # fuser, pstree and other utilities
  psmisc,
-# Optional FreedomBox dependency
- python3-systemd,
 # Manage /etc/resolv.conf
  resolvconf,
 # Tool to kill WLAN, Bluetooth and moble broadband
@@ -176,3 +181,33 @@
  This package provides the FreedomBox Service (Plinth) which installs,
  configures and manages all functions of FreedomBox. The service is managed
  using a web interface available at https://localhost/.
+
+Package: freedombox-doc-en
+Architecture: all
+Multi-Arch: foreign
+Section: doc
+Depends: ${misc:Depends}
+Description: easy to manage, privacy oriented home server - user manual (English)
+ FreedomBox is designed to be your own inexpensive server at home. It runs free
+ software and offers an increasing number of services ranging from a calendar or
+ jabber server to a wiki or VPN. A web interface allows you to easily install
+ and configure your apps.
+ .
+ This package contains the English user manual in HTML and PDF formats. It
+ describes how to setup and use each application in FreedomBox and FreedomBox
+ itself. It is accessible from Help menu in the FreedomBox web interface.
+
+Package: freedombox-doc-es
+Architecture: all
+Multi-Arch: foreign
+Section: doc
+Depends: ${misc:Depends}
+Description: easy to manage, privacy oriented home server - user manual (Spanish)
+ FreedomBox is designed to be your own inexpensive server at home. It runs free
+ software and offers an increasing number of services ranging from a calendar or
+ jabber server to a wiki or VPN. A web interface allows you to easily install
+ and configure your apps.
+ .
+ This package contains the Spanish user manual in HTML and PDF formats. It
+ describes how to setup and use each application in FreedomBox and FreedomBox
+ itself. It is accessible from Help menu in the FreedomBox web interface.
