=== debian/tests/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # checks that the following aspects are working okay:
 #   - Python runtime
 #   - Python library dependencies
-#   - Plinth configuration
+#   - FreedomBox configuration
 #   - Ability to create and initialize database
 #   - Module inititailzation for essential modules
 #
