## plinth 20.17

=== debian/changelog ===
plinth (20.17) unstable; urgency=medium

  [ Fioddor Superconcentrado ]
  * package: i18n: Mark progress status strings for translation
  * networks: i18n: Mark string for translation on delete page
  * networks: i18n: Mark various strings for translation
  * notifications: i18n: Mark app names and extra data for translation
  * networks: css: Make button wider in network list
  * Translated using Weblate (Spanish)

  [ Sunil Mohan Adapa ]
  * backups: i18n: Mark form success messages for translation
  * doc: wikiparser: Fix issue with running parser outside doc/ dir
  * upgrades: Disable the option when not able to dist upgrade
  * ci: Split testing stages into smaller stages

  [ Coucouf ]
  * Translated using Weblate (French)
  * Translated using Weblate (French)

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)
  * Translated using Weblate (Turkish)

  [ Nikita Epifanov ]
  * Translated using Weblate (Russian)

  [ Jens Molgaard ]
  * Translated using Weblate (Danish)

  [ Petter Reinholdtsen ]
  * Translated using Weblate (Norwegian Bokmål)

  [ Praveen Illa ]
  * Translated using Weblate (Telugu)

  [ James Valleroy ]
  * Translated using Weblate (Danish)
  * ci: Run wikiparser doctests
  * wikiparser: Exit with return value 1 on test failure
  * upgrades: Add a setting to enable dist upgrade
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ Michael Breidenbach ]
  * Translated using Weblate (German)
  * Translated using Weblate (Swedish)

  [ marklin0913 ]
  * Added translation using Weblate (Chinese (Traditional))

  [ Joseph Nuthalapati ]
  * mediawiki: Ensure password file is not empty
  * mediawiki: Add action to set domain name

  [ Dietmar ]
  * Translated using Weblate (German)
  * Translated using Weblate (Italian)

  [ Radek Pasiok ]
  * Translated using Weblate (Polish)

  [ Onurb ]
  * apache: setup uwsgi by default

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 02 Nov 2020 19:45:57 -0500

plinth (20.16) unstable; urgency=medium

  [ Oğuz Ersen ]
  * Translated using Weblate (Turkish)

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)
  * Translated using Weblate (Turkish)

  [ Nikita Epifanov ]
  * Translated using Weblate (Russian)

  [ Allan Nordhøy ]
  * Translated using Weblate (Norwegian Bokmål)
  * Translated using Weblate (Chinese (Simplified))
  * Translated using Weblate (Slovenian)
  * Translated using Weblate (Greek)
  * Translated using Weblate (Norwegian Bokmål)

  [ Veiko Aasa ]
  * diagnostics: Show low system memory notifications
  * notifications: Show severity level on every notification

  [ Coucouf ]
  * Translated using Weblate (French)

  [ James Valleroy ]
  * app: Add donation links in dropdown menu
  * debian: Add Brazilian Portuguese debconf templates translation
    (Closes: #972449)
    - Thanks to Adriano Rafael Gomes for the translation.
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ Fioddor Superconcentrado ]
  * upgrades: Add status section showing version and upgrade status
  * diagnostics: Lazy format all diagnostic test strings properly
  * Translated using Weblate (Spanish)
  * help: Link to updates page when new version is available
  * updates: Eliminate delay and better status for manual upgrade

  [ Michael Breidenbach ]
  * Translated using Weblate (Swedish)

  [ Sunil Mohan Adapa ]
  * calibre: Add link to donation page
  * app: Make the donation button more prominent
  * calibre: Update group description to reflect 'using' app

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 19 Oct 2020 20:42:32 -0400

plinth (20.15) unstable; urgency=medium

  [ Coucouf ]
  * Translated using Weblate (French)
  * Translated using Weblate (French)
  * Translated using Weblate (French)
  * Translated using Weblate (French)

  [ Joseph Nuthalapati ]
  * bepasty: Change default permissions to 'read'
  * calibre: Add new e-book library app
  * calibre: Minor changes to app description
  * container: Handle edge cases with container update

  [ Fioddor Superconcentrado ]
  * HACKING: Add extra development requirements
  * CONTRIBUTING: Require flake8 compliance
  * Translated using Weblate (Spanish)
  * HACKING.md: Re-organised contents according to onboarding journey
  * Translated using Weblate (Spanish)

  [ Sunil Mohan Adapa ]
  * module_loader, web_framework: Update console log messages
  * dynamicdns: Drop unnecessary code to set app as enabled
  * pagekite: Don't announce unconfigured kite as a valid domain
  * pagekite: Don't update names module if not installed
  * tor: Don't check if enabled when not installed
  * tests: functional: Simplify calling the login helper
  * doc: Before fetching, drop all old to cleanup deleted pages/images
  * coturn: Don't handle certificates if not installed
  * quassel: Don't handle certificates if not installed
  * quassel: Fix minor typo
  * mumble: Store and use a single domain for TLS certificate setup
  * doc: dev: Link to list of potential apps from tutorial
  * coturn: Don't handle certificates if not installed
  * quassel: Don't handle certificates if not installed
  * users: Deal with admin user already existing during first boot
  * users: cosmetic: Yapf refactoring
  * *: Minor flake8 fixes
  * debian/control: Add sshpass as build dependency

  [ Michael Breidenbach ]
  * Translated using Weblate (Swedish)

  [ ssantos ]
  * Translated using Weblate (Portuguese)

  [ Phil Morrell ]
  * mumble: configure letsencrypt component

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ Petter Reinholdtsen ]
  * Translated using Weblate (Norwegian Bokmål)

  [ Veiko Aasa ]
  * ssh: action script: Require user credentials when editing ssh keys
  * users: Require admin credentials when creating or editing a user
  * container: Assign virtual network interface to trusted firewall zone

  [ James Valleroy ]
  * upgrades: Extend function to check for normal dist availability
  * upgrades: Detect and upgrade to next stable release

