=== debian/control ===
--- 
+++ 
@@ -32,6 +32,7 @@
  python3-flake8,
  python3-gi,
  python3-markupsafe,
+ python3-pampy,
  python3-paramiko,
  python3-psutil,
  python3-pytest,
@@ -43,6 +44,7 @@
  python3-setuptools,
  python3-setuptools-git,
  python3-yaml,
+ sshpass,
  xmlto,
  xsltproc
 Standards-Version: 4.5.0
@@ -72,6 +74,8 @@
  e2fsprogs,
  fonts-fork-awesome,
  fonts-lato,
+# sgdisk is used in storage app to expand GPT disks
+ gdisk,
  gettext,
  gir1.2-glib-2.0,
  gir1.2-nm-1.0,
@@ -102,6 +106,7 @@
  python3-django-stronghold,
  python3-gi,
  python3-markupsafe,
+ python3-pampy,
  python3-paramiko,
  python3-psutil,
  python3-requests,
